=== debian/control ===
Source: openttd-opensfx
Section: non-free/games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 11), catcodec
Standards-Version: 4.1.4
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opensfx
Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opensfx.git
Homepage: http://dev.openttdcoop.org/projects/opensfx

Package: openttd-opensfx
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: sound set for use with the OpenTTD game
 OpenSFX is a replacement for the original TTD (Transport Tycoon Deluxe) base
 sounds used by OpenTTD, distributed under a restrictive license.  The main
 goal of OpenSFX therefore is to provide a set of sounds, available free of
 charge, which make it possible to play OpenTTD without requiring the user to
 pay for the original Transport Tycoon Deluxe game for its sound set.
