=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

INSTALL_ROOT=debian/openttd-opensfx
DATA_DIR=usr/share/games/openttd/baseset/opensfx
DOC_DIR=/usr/share/doc/openttd-opensfx

OPTIONS=
OPTIONS += "_V="

override_dh_auto_build:
	make $(OPTIONS)

override_dh_auto_install:
	mkdir -p "$(INSTALL_ROOT)/$(DATA_DIR)"
	make bundle $(OPTIONS) "DIR_NAME=$(INSTALL_ROOT)/$(DATA_DIR)"
	# In the datadir, replace the readme and changelog with symlinks
	# to /usr/share/doc to save space.
	dh_link $(DOC_DIR)/readme.txt $(DATA_DIR)/readme.txt
	dh_link $(DOC_DIR)/changelog $(DATA_DIR)/changelog.txt

override_dh_installdocs:
	dh_installdocs docs/readme.txt

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Check if the md5 sums of the files match. This ensures no
	# problems will arise in online play, which uses both version
	# info and md5 sums of files. We don't use dh_auto_test here,
	# because "make test" is also supported, but gives debug output.
	make check $(OPTIONS)
endif

override_dh_auto_clean:
	# Don't use dh_auto_clean. It thinks make distclean is valid becaue
	# it generates output (dependency analysis) before erroring out.
	make clean $(OPTIONS)
