=== debian/changelog ===
openttd-opensfx (1.0.3-3) unstable; urgency=medium

  * [cfa8275] Add patch to clean generated .sfo file (Closes: #1047816)
  * [858f4e9] Bump standards version to 4.6.2 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 26 Nov 2023 16:57:21 +0100

openttd-opensfx (1.0.3-2) unstable; urgency=medium

  * No changes, just bump version for source-only upload after binary upload
    to NEW.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 24 Jan 2022 14:22:05 +0100

openttd-opensfx (1.0.3-1) unstable; urgency=medium

  * [ad9eb60] Update watch file
  * [3274eda] Add upstream metadata
  * [3dcecde] Bump standards version to 4.6.0 (no changes required)
  * [598ef40] New upstream release 1.0.3
  * [bd24177] Support DEB_BUILD_OPTIONS=terse
  * [5b64af2] Set Rules-Requires-Root: no for building
  * [dfab5f6] Bump debhelper version to v13
  * [087dcd5] Update upstream homepage
  * [e3ef4da] Adapt copyright file to new licensing
  * [22d3f3e] Move from non-free to main
  * [b992045] Add grfcodec to Build-Depends
  * [7a2827b] Disable MD5 sum checks for built files
  * [ab2de62] Use (and slightly patch) make install for installation

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 27 Dec 2021 16:08:15 +0100
