=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: openttd-opensfx
-Section: non-free/games
+Section: games
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11), catcodec
-Standards-Version: 4.1.4
-XS-Autobuild: yes
+Build-Depends: debhelper-compat (= 13), catcodec, grfcodec
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opensfx
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opensfx.git
-Homepage: http://dev.openttdcoop.org/projects/opensfx
+Homepage: https://github.com/OpenTTD/OpenSFX
+Rules-Requires-Root: no
 
 Package: openttd-opensfx
 Architecture: all
