=== debian/watch ===
version=4

https://www.openttd.org/downloads/opensfx-releases/latest \
.*/opensfx-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
